about summary refs log tree commit diff homepage
path: root/.travis/klee.sh
diff options
context:
space:
mode:
authorMartin Nowack <martin@se.inf.tu-dresden.de>2016-02-27 15:13:07 +0100
committerMartin Nowack <martin@se.inf.tu-dresden.de>2016-02-27 15:13:07 +0100
commit18f01e9f6d5471d176091f24671bef3eac0293ac (patch)
tree3e9a7d4a09e734453ee6cd303e3c8941d1d8a224 /.travis/klee.sh
parenta6a5c148b63f811a6df1e5a3eb6edd43148df510 (diff)
downloadklee-18f01e9f6d5471d176091f24671bef3eac0293ac.tar.gz
Travis: Run TCMalloc runs explicitly
Diffstat (limited to '.travis/klee.sh')
-rwxr-xr-x.travis/klee.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/.travis/klee.sh b/.travis/klee.sh
index acb2a8d1..296e1c83 100755
--- a/.travis/klee.sh
+++ b/.travis/klee.sh
@@ -68,6 +68,9 @@ for solver in ${SOLVER_LIST}; do
     exit 1
   esac
 done
+
+
+TCMALLOC_OPTION=$([ "${USE_TCMALLOC:-0}" == 1 ] && echo "--with-tcmalloc" || echo "--without-tcmalloc")
 ###############################################################################
 # KLEE
 ###############################################################################
@@ -85,6 +88,7 @@ ${KLEE_SRC}/configure --with-llvmsrc=/usr/lib/llvm-${LLVM_VERSION}/build \
             ${KLEE_STP_CONFIGURE_OPTION} \
             ${KLEE_Z3_CONFIGURE_OPTION} \
             ${KLEE_UCLIBC_CONFIGURE_OPTION} \
+            ${TCMALLOC_OPTION} \
             CXXFLAGS="${COVERAGE_FLAGS}" \
             && make DISABLE_ASSERTIONS=${DISABLE_ASSERTIONS} \
                     ENABLE_OPTIMIZED=${ENABLE_OPTIMIZED} \